{
  "name": "@agrozyme/types-tronweb",
  "version": "5.3.2",
  "description": "TypeScript definitions for tronweb",
  "type": "module",
  "types": "./root/@types/tronweb/index.d.ts",
  "repository": "https://gitlab.com/agrozyme-package/TypeScript/types-tronweb.git",
  "homepage": "https://gitlab.com/agrozyme-package/TypeScript/types-tronweb",
  "scripts": {
    "clean": "shx rm -rf out protocol",
    "submodule": "git submodule add --force https://github.com/tronprotocol/protocol.git protocol",
    "generate": "buf mod update && shx cp buf.yaml buf.lock protocol && buf generate",
    "replace:enum": "replace-in-files --string=\"export enum \" --replacement=\"export declare const enum \" out/**/*.ts",
    "replace:Uint8Array": "replace-in-files --string=Uint8Array --replacement=string out/**/*.ts",
    "replace": "yarpm run replace:enum && yarpm run replace:Uint8Array",
    "rename": "recursiveRename ts d.ts --path=out",
    "move": "shx rm -rf root/@types/tronweb/protocol && shx mv out/ root/@types/tronweb/protocol/",
    "build": "yarpm run clean && yarpm run submodule && yarpm run generate && yarpm run replace && yarpm run rename && yarpm run move"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "devDependencies": {
    "@bufbuild/buf": "^1.30.1",
    "@bufbuild/protobuf": "^1.8.0",
    "@bufbuild/protoc-gen-es": "^1.8.0",
    "@ethersproject/abi": "^5.7.0",
    "@ethersproject/properties": "^5.7.0",
    "@types/injectpromise": "^1.0.2",
    "axios": "^1.6.8",
    "bignumber.js": "^9.1.2",
    "ethers": "^6.12.0",
    "eventemitter3": "^5.0.1",
    "recursive-rename": "^4.0.0",
    "replace-in-files-cli": "^2.2.0",
    "shx": "^0.3.4",
    "yarpm": "^1.2.0"
  }
}
